function rsmgShowcaseAnimate(showcase) {
    if (rsmgIsInViewport(jQuery(showcase))) {
        jQuery(showcase + ' .rsp_picture_container').each(function(index) {
            jQuery(this).delay(index * 100).animate({
                opacity : 1
            }, 200);
        });

        jQuery(showcase).addClass('rsmg-animated');
    }
}

function rsmgIsInViewport(element) {
    var window_top      = jQuery(window).scrollTop(),
        window_bottom   = window_top + jQuery(window).height(),
        element_top     = element.offset().top,
        element_bottom  = element_top + element.height();

    return parseInt(element_top) <= parseInt(window_bottom * 0.95);
}

function rsmgShowcaseInitAnimation(showcase) {
	jQuery(window).on('load', function() {
		rsmgShowcaseAnimate(showcase);
	});

    var timer = null;

    jQuery(window).on('scroll', function() {

        // Window scroll delay
        if (timer != null) clearTimeout(timer);

        timer = setTimeout(function() {
            if (!jQuery(showcase).hasClass('rsmg-animated')) {
                rsmgShowcaseAnimate(showcase);
            }
        }, 100);
    });
}

function rsmgShowcaseInitMagnificPopup(showcase) {
    jQuery(showcase + ' > .rsp_picture_container').rsshowcaseMagnificPopup({
        type        : 'inline',
		mainClass	: 'rsmg-showcase-picture-popup',
        preloader   : false,
        gallery     : {
            enabled : true,
            preload : 0
        },
        callbacks   : {
            elementParse : function(item) {
                var picture_details_wrapper     = jQuery('<div>',   {'class' : 'rsmg-showcase-picture-details'}),
                    picture_details_container   = jQuery('<div>',   {'class' : 'rsmg-showcase-details-container rsmg-loading'}),

                    // Picture
                    picture_container           = jQuery('<div>',   {'class' : 'rsmg-showcase-details-image'}),
                    picture                     = jQuery('<img>',   {'src'   : item.src}),

                    // Picture data
                    picture_body                = jQuery('<div>',   {'class' : 'rsmg-showcase-details-body'}),
                    picture_body_container      = jQuery('<div>',   {'class' : 'rsmg-showcase-details-body-container'}),
                    picture_title               = jQuery('<h2>',    {
                        'class' : 'rsmg-showcase-details-title',
                        'text'  : item.el.attr('data-picture-title')
                    }),
                    picture_description         = jQuery('<div>',   {
                        'class' : 'rsmg-showcase-details-description',
                        'text'  : item.el.attr('data-picture-description')
                    }),

                    // Picture counter
                    picture_counter             = jQuery('<span>',   {
                        'class' : 'rsmg-showcase-details-counter',
                        'text'  : (item.index + 1) + '/' + item.el.attr('data-picture-numbering')
                    }),

                    picture_loader              = jQuery('<span>',  {'class' : 'rsmg-details-loader'});


                // Picture image
                picture_container.append(picture);

                // Picture details
                if (picture_title.html() != '') {
                    picture_body_container.append(picture_title);
                }
                if (picture_description.html() != '') {
                    picture_body_container.append(picture_description);
                }
                if (item.el.attr('data-picture-numbering') != '') {
                    picture_body.append(picture_counter);
                }
                if (picture_body_container.html() != '') {
                    picture_body.append(picture_body_container);
                }

                // Picture structure
                if (picture_container.html() != '') {
                    picture_details_container.append(picture_container);
                }
                if (picture_body.html() != '') {
                    picture_details_container.append(picture_body);
                }

                picture_details_wrapper.append(picture_details_container);
                picture_details_wrapper.append(picture_loader);

                item.src = picture_details_wrapper;
            },
            change      : function() {
                jQuery(this.content).find('img').on('load', function() {
                    jQuery(this).closest('.rsmg-showcase-details-container').removeClass('rsmg-loading');
                    jQuery(this).closest('.rsmg-showcase-details-container').find('~ .rsmg-details-loader').remove();
                });
            }
        }
    });
}