<?php
/**
* @package RSMediaGallery! Showcase
* @copyright (C) 2011 - 2021 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access'); 
?>
<div class="rsp_container<?php echo ' '.$showcase->escape($moduleclass_sfx); ?>" id="rsp_container<?php echo $module->id;?>">
	<?php foreach ($pictures as $picture) {
		$title 		 = $showcase->escape($picture->title);
		$description = $showcase->escape($picture->description);
		$style 		 = $showcase->getStyle($picture);

		if ($open_in == 'slideshow') {
			$picture_data_attributes = ' data-picture-src="' . addslashes($picture->full) . '"';
			$picture_data_attributes .= ' data-picture-title="' . ($params->get('show_title', 1) ? $title : '') . '"';
			$picture_data_attributes .= ' data-picture-description="' . ($params->get('show_description', 1) ? $description : '') . '"';
			$picture_data_attributes .= ' data-picture-numbering="' . ($params->get('show_pictures_numbering', 1) ? count($pictures) : '') . '"';
		}
	?>
		<div class="rsp_picture_container"<?php echo ($open_in == 'slideshow') ? $picture_data_attributes : ''; ?>>
			<div class="rsp_picture" style="width:<?php echo $thumb_width; ?>px; height:<?php echo $thumb_width; ?>px;">
			<?php if ($openUrl) { ?>
				<a href="<?php echo $picture->url; ?>" <?php echo $target; ?> title="<?php echo $title; ?>">
			<?php } ?>
					<img src="<?php echo $picture->thumb; ?>" <?php echo $style; ?> title="<?php echo $title; ?>" />
					<div class="rsp_icon_over">
						<i class="rsmgsc-<?php echo ($openUrl ? 'share-square-o' : 'search'); ?>"></i>
					</div>
			<?php if ($openUrl) { ?>
				</a>
			<?php } ?>
			</div>
		</div>
	<?php } ?>
</div>